summaryrefslogtreecommitdiff
path: root/.github/workflows/fedora.sh
diff options
context:
space:
mode:
Diffstat (limited to '.github/workflows/fedora.sh')
-rwxr-xr-x.github/workflows/fedora.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/.github/workflows/fedora.sh b/.github/workflows/fedora.sh
new file mode 100755
index 0000000..bac2141
--- /dev/null
+++ b/.github/workflows/fedora.sh
@@ -0,0 +1,42 @@
+#!/usr/bin/bash
+
+set -eo pipefail
+
+# Use grouped output messages
+infobegin() {
+ echo "::group::${1}"
+}
+infoend() {
+ echo "::endgroup::"
+}
+
+# Required packages on Fedora
+requires=(
+ ccache # Use ccache to speed up build
+ meson # Used for meson build
+)
+
+# https://src.fedoraproject.org/cgit/rpms/libmatekbd.git
+requires+=(
+ autoconf-archive
+ desktop-file-utils
+ gcc
+ gcc-c++
+ git
+ gobject-introspection-devel
+ gsettings-desktop-schemas-devel
+ gtk3-devel
+ libICE-devel
+ libxklavier-devel
+ make
+ mate-common
+ redhat-rpm-config
+)
+
+infobegin "Update system"
+dnf update -y
+infoend
+
+infobegin "Install dependency packages"
+dnf install -y ${requires[@]}
+infoend